
Foreman - Refactor #1120

convert dhcp handling to real network objects

08/18/2011 02:36 PM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: DHCP   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

this is required to simply complex logic around dhcp record manipulations (such as conflict detection etc).

this also provide a simple way to implement dhcp record browser inside foreman

Related issues:

Related to Smart Proxy - Bug #1124: dhcp smart proxy expcet nextserver, but r... Closed 08/21/2011

Blocks Foreman - Feature #944: Provide a mechanism to clear a host's network ... Closed 05/26/2011

Associated revisions

Revision a6f4f5f7 - 08/18/2011 04:00 PM - Ohad Levy

fixes #1120 - Replaced DHCP functionaitlity by the new net dhcp record classes

History

#1 - 08/18/2011 04:13 PM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset a6f4f5f7e750c345d4e6d83b65311fe74636d6a4.
